Subject: bug#50187: 28.0.50; tramp is called from calendar

From: Michael Albinus <[email-masked]>
Date: Tue, 23 Aug 2022 09:30:00 +0200

Lars Ingebrigtsen <[email-masked]> writes:

Hi Lars,

>> I get this trace:
>>
>>   tramp-file-name-handler(file-readable-p "/scp:remote:/path/Contents/Resources/site-lisp/cal-move.so")
>>   calendar-cursor-to-visible-date((8 24 2021))
>>   calendar-generate-window(8 2021)
>>   calendar-basic-setup(nil)
>>   calendar()
>>   run-hooks(midnight-hook)
>>   apply(run-hooks midnight-hook)
>>   timer-event-handler([t 24869 56416 388128 86400 run-hooks (midnight-hook) nil 0])
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> calendar-cursor-to-visible-date is an autoloaded function, so what's
> happening is that Emacs is trying to load the cal-move file -- and
> looking into "/scp:remote:/path/Contents/Resources/site-lisp/".
>
> Can something have put that in your load-path by any chance?

I don't believe it is a load-path issue. calendar-cursor-to-visible-date
is declared in cal-loaddefs.el (it has the ;;;###cal-autoload cookie),
and this loaddefs file is loaded when loading calendar.el.

That has been finished already, when calendar-basic-setup is applied.

The question is rather: what is cal-move.so, and how and why is it
checked for readability? In the directory emacs/lisp/calendar I cannot
find any use of this file.

Best regards, Michael.